Add Invoice V2

Add invoice.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
❗️

Fiat Amount

In some rare cases you will not be credited by the exact fiat amount inputted.
The fiat amount credited to your account will be the market value of the sats, calculated at the settlement time.

🚧

Webhook

A best practice is to set a WebHookUrl and WebhookSecret when you create an Invoice.
This will allow us to notify you when the invoice is paid.

The secret is used to make sure that we are triggering your WebHook.
When you receive the WebHook, make sure that the secret matches the one you gave us when creating the invoice.

📘

Webhook Body

If you set a WebHookUrl, this url will be called via a POST request with the following json body:

{
  "hash": string,
  "settledAtUtc": string,
  "receivedMsat": int,
  "webhookSecret": string,
  "transaction": {
    "id": string,
    "createdAt": string,
    "accountId": string,
    "amount": float,
    "networkFee": float,
    "exchangeRateCurrencySats": float,
    "currencyID": int,
    "transactionTypeId": int,
    "invoice": {
      "hash": string,
      "bolt11": string,
      "preImage": string,
      "memo": string,
      "creationDateUtc": string,
      "expiryDateUtc": string,
      "settleDateUtc": string,
      "amountMsat": int,
      "receiveMsat": int,
      "stateId": 1,
      "state": {
        "id": int,
        "name": sting,
        "description": string
      }
    }
  }
}

Date example: "2022-11-09T21:33:47.48778Z"

📘

Invoice state

Check the invoice state table: invoice-states-table

Body Params
float

Amount of the invoice in the currency of the account. Can be 0 for amount less or need to be more than a sat.

string
required

The account that will create the invoice. This account will be credited if someone pay the invoice.

string

Maximum 100 chars.

int32
Defaults to 900

How long before the invoice expire in seconds. Default and maximum: 15 mins.

string

Webhook invocation when invoice is paid.

string

A string used to validate the webhook comes from IBEXHub. Don't trust, verify.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json